%global debug_package %{nil}

Name:           amp
Version:        0.7.0
Release:        1%{?dist}
Summary:        Complete text editor for your terminal

License:        GPL-3.0-or-later
URL:            https://github.com/jmacdonald/amp
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo >= 1.33.0
BuildRequires:  python3
BuildRequires:  rust >= 1.33.0
BuildRequires:  pkgconfig(oniguruma)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xcb)

%description
Heavily inspired by Vi/Vim. Amp aims to take the core interaction model of Vim,
simplify it, and bundle in the essential features required for a modern text
editor.


%prep
%autosetup -n %{name}-%{version} -p1


%build
cargo build --release
#cargo build


%install
install -Dp -m 0755 target/release/%{name} %{buildroot}%{_bindir}/%{name}
#install -Dp -m 0755 target/debug/%{name} %{buildroot}%{_bindir}/%{name}
strip %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}


%changelog
* Tue Jan 23 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- chore: Update to latest release

* Wed Feb 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- Update to 0.6.2

* Fri Jan 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Thu Nov 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Initial package